Bug 441705 - xine-lib-1.1.11.1-1.fc8 can't play MP4 videos
xine-lib-1.1.11.1-1.fc8 can't play MP4 videos
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xine-lib (Show other bugs)
8
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
: Reopened
: 441715 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-09 12:08 EDT by Kazutoshi Morioka
Modified: 2008-04-16 23:55 EDT (History)
5 users (show)

See Also:
Fixed In Version: 1.1.11.1-1.fc8.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-16 23:52:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kazutoshi Morioka 2008-04-09 12:08:03 EDT
Description of problem:
After update to xine-lib-1.1.11.1-1.fc8, any media players require xine-lib
can't play MP4 (QuickTime) videos. For example, kmplayer, kaffeine, xine,
totem-xine and Miro.

Version-Release number of selected component (if applicable):
xine-lib-1.1.11.1-1.fc8

How reproducible:
always

Steps to Reproduce:
1.update to xine-lib-1.1.11.1-1.fc8
2.install xine or totem-xine or Miro from livna
3.try to play some MP4 videos
  
Actual results:
got a message "-xine engine error- There is no demuxer plugin available to
handle 'foobar.mp4'. Usually this means that the file format was not recognized."

Expected results:
can piew MP4 videos.

Additional info:
Comment 1 Rex Dieter 2008-04-09 12:13:10 EDT
mp4 support (afaik) requires nonfree plugin support, WONTFIX (here).

Hint: install xine-lib-extras-nonfree from some other repo. :)
Comment 2 Kazutoshi Morioka 2008-04-09 13:43:38 EDT
The xine-lib-extras-nonfree is already installed.
With xine-lib-1.1.11-1.fc8 and xine-lib-extras-1.1.11-1.fc8 and
xine-lib-extras-nonfree-1.1.11-1.lvn8, I can play MP4 videos.
With xine-lib-1.1.11.1-1.fc8 and xine-lib-extras-1.1.11.1-1.fc8 and
xine-lib-extras-nonfree-1.1.11.1-1.lvn8, It won't.
Anyway, I opened a new bug report for xine-lib-extras-nonfree to bugzilla.livna.org.
Thanks.
Comment 3 Ville Skyttä 2008-04-09 15:30:16 EDT
The bug actually is in the Fedora xine-lib package; specifically it's an
upstream regression in the Quicktime demuxer, introduced in 1.1.11.1.  There's a
similar but worse (crasher) Matroska regression in it, too.
Comment 4 Fedora Update System 2008-04-10 10:37:31 EDT
xine-lib-1.1.11.1-1.fc8.1 has been submitted as an update for Fedora 8
Comment 5 Fedora Update System 2008-04-10 10:43:37 EDT
xine-lib-1.1.11.1-1.fc7.1 has been submitted as an update for Fedora 7
Comment 6 Kevin Kofler 2008-04-10 10:47:12 EDT
The F7 update I pushed is also affected (it's also an 1.1.11.1), so I submitted 
a matching update for F7.

Maybe next time we should be backporting security fixes rather than upgrading 
for near-EOL releases? (There'll not be an issue of fixes accumulating if we 
only do it for near-EOL.) On the other hand this means even less testing, 
because pushing a rebuilt F8 package means at least it got tested on F8. I'm 
open to suggestions there.
Comment 7 Kazutoshi Morioka 2008-04-10 11:19:01 EDT
I downloaded xine-lib-1.1.11.1-1.fc8.1 and xine-lib-extras-1.1.11.1-1.fc8.1,
and they work as a charm. Thank you very much.

While the xine-lib is one of "still in development" software, backporting is not
a good idea, I think.
I consider that the problem was synchronization issue between updates-testing
and livna.
Most xine users like me also depends on xine-lib-extras-nonfree.
Although new xine-lib had been submitted to updates-testing, testers couldn't
install it until matching xine-lib-extras-nonfree was submitted to livna.
But this synchronization issue was gone by change of xine-lib-extras-nonfree
package below, wasn't it?

- 1.1.11.1.
- Require xine-lib(plugin-abi) instead of xine-lib.
Comment 8 Kevin Kofler 2008-04-10 11:29:56 EDT
The synchronization issue is a separate issue, this bug has nothing to do with 
xine-lib-extras-nonfree.
Comment 9 Kevin Kofler 2008-04-10 11:32:42 EDT
As for testing, as a security update, this update shouldn't have gone through 
updates-testing at all, the reason it did was a synchronization issue (yet 
another one) between the security team approval and the updates push.
Comment 10 Ville Skyttä 2008-04-10 12:39:58 EDT
I think in this case the regressions were very closely related to the security
fixes, so backporting the fixes without additional code review probably wouldn't
have prevented the regressions.
Comment 11 Alex Lancaster 2008-04-12 04:51:10 EDT
*** Bug 441715 has been marked as a duplicate of this bug. ***
Comment 12 Jack Deslippe 2008-04-14 00:51:14 EDT
I too have this problem.  I don't seem to see any updates for the xine-lib
package in the repos (updates or updates-testing).  How do I get it?.
Comment 14 Fedora Update System 2008-04-16 23:52:02 EDT
xine-lib-1.1.11.1-1.fc8.1 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2008-04-16 23:55:13 EDT
xine-lib-1.1.11.1-1.fc7.1 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.